Am Freitag, 30. September 2005 20:08 schrieb Jim Fulton:
> Florian Lindner wrote:
> > Am Freitag, 30. September 2005 18:55 schrieb Julien Anguenot:
> >>Florian Lindner wrote:
> >>>Am Donnerstag, 29. September 2005 20:25 schrieb Julien Anguenot:
> >>>>First have a look at this :
> >>>>
> >>>>http://www.zope.org/Collectors/Zope3-dev/391
> >>>>
> >>>>The addMenuItem directive should look this way in order to work :
> >>>>
> >>>>   <addMenuItem
> >>>>       title="Link"
> >>>>       class="CS.Link.link.Link"
> >>>>       view="AddCSLink.html"
> >>>>       permission="zope.Public"
> >>>>       menu="CSaddMenu"
> >>>>    />
> >>>>
> >>>>without 'for="CS.ContentFolder.interfaces.IContentFolder"' (check the
> >>>>collector entry)
> >>>
> >>>But then the menu entry does not show up in views on IContentFolder. And
> >>>I need it showing up there.
> >>>
> >>>>The addMenuItem doesn't support the layer attribute. I'm going to add
> >>>>this to the addMenuItem directive interface.
> >>>
> >>>When do you think you will be done?
> >>
> >>Just checked it in the trunk.
> >>
> >>You may want to try out. Changeset [38705]
> >
> > After the update from python 2.3 to 2.4.2, deleting my SVN checkout,
> > rechecking out and compiling, recreating a clean instance, I get upon
> > startup:
> >
> >   File "/home/florian/Zope3/src/zope/app/component/registration.py", line
> > 27, in ?
> >     from zope.app.component.interfaces import registration as interfaces
> >   File
> > "/home/florian/Zope3/src/zope/app/component/interfaces/__init__.py", line
> > 22, in ?
> >     from zope.app.container.constraints import ContainerTypesConstraint
> > zope.configuration.xmlconfig.ZopeXMLConfigurationError: File
> > "/home/florian/Desktop/zope/etc/site.zcml", line 3.2-3.50
> >     ZopeXMLConfigurationError: File
> > "/home/florian/Desktop/zope/etc/package-includes/securitypolicy-meta.zcml
> >", line 1.0-1.62
> >     ZopeXMLConfigurationError: File
> > "/home/florian/Zope3/src/zope/app/securitypolicy/meta.zcml", line
> > 4.2-7.51 SyntaxError: invalid syntax (constraints.py, line 240)
>
> You are still using Python 2.3.

Sure?

[EMAIL PROTECTED] ~ $ python -V
Python 2.4.2

Florian
_______________________________________________
Zope3-users mailing list
Zope3-users@zope.org
http://mail.zope.org/mailman/listinfo/zope3-users

Reply via email to